Doc: fix mention of pg_dump's minimum supported server version